Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.security.transport
Class TLSSessionInfo

    java.lang.Object
      org.apache.cxf.security.transport.TLSSessionInfo

    public class TLSSessionInfo

extends java.lang.Object

An immutable struct that contains information about a negotiated TLS Session, including the (potentially negotiated) peer certificates as well as the currently effective TLS ciper suite.

Constructor Summary
`TLSSessionInfo(java.lang.String suite)` This constructor has the effect of calling TLSSessionInfo(null, suite)
`TLSSessionInfo(java.lang.String suite, javax.net.ssl.SSLSession session, java.security.cert.Certificate[] certs)`

Method Summary
`java.lang.String` | `getChipherSuite()`
`java.security.cert.Certificate[]` | `getPeerCertificates()`
`javax.net.ssl.SSLSession` | `getSSLSession()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TLSSessionInfo

    public TLSSessionInfo(java.lang.String suite)

  This constructor has the effect of calling TLSSessionInfo(null, suite)

### TLSSessionInfo

    public TLSSessionInfo(java.lang.String suite,
                          javax.net.ssl.SSLSession session,
                          java.security.cert.Certificate[] certs)

Parameters:
  `suite` - The negotiated cipher suite This parameter may not be null, by contract
  `session` - The JSSE representation of the SSL Session negotiated with the peer (optionally null, if it is unavailable)
  `certs` - the peer X.509 certificate chain (optinally null)

Method Detail

### getChipherSuite

    public final java.lang.String getChipherSuite()

  Returns:
    the negotiated cipher suite. This attribute is guaranteed to be non-null.

### getPeerCertificates

    public final java.security.cert.Certificate[] getPeerCertificates()

  Returns:
    the peer X.509 certificate chain, as negotiated though the TLS handshake. This attribute may be null, for example, if the SSL peer has not been authenticated.

### getSSLSession

    public final javax.net.ssl.SSLSession getSSLSession()

  Returns:
    the negotiated SSL Session. This attribute may be null if it is unavailable from the underlying transport.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF is an effort undergoing incubation at the Apache Software Foundation(ASF) and sponsored by the Apache Incubator PMC.